.cart-page-title {
    text-align: center;
    padding: 10px 0 0 0;
}

.cart-container {
    display: grid;
    grid-template-rows: repeat(auto-fill, minmax(100px, 1fr));
    margin-top: 10px;
    margin-bottom: 10px;
    padding: 10px;
    gap: 10px;
}

.empty-cart-content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 20px;

    height: 50vh;
}

.empty-cart-content i {
    font-size: 6rem;
    color: rgb(207, 233, 255);
}

.empty-cart-content p {
    font-size: 2rem;
    font-weight: 200;
}

.empty-cart-content button {
    margin-top: 20px;
    background-color: transparent;
    outline: none;
    border: none;
    animation: bounce 2s infinite;
}

@keyframes bounce {
    50% {
        transform: translateY(5px);
    }
}

.cart-nav-products span {
    font-size: 1.5rem;
}

.cart-nav-products {
    text-decoration: none;
    padding: 20px 30px;
    border-radius: 30px;
    background-color: rgb(0, 34, 255);
    color: white;
    font-size: 1.2rem;
    font-weight: 700;
    border: 1.5px solid rgb(0, 34, 255);
    transition: all 0.3s ease;
}

.cart-nav-products:hover {
    color: rgb(0, 34, 255);
    background-color: transparent;
}

.cart-item {
    display: flex;
    height: 100px;
    width: 60%;
    margin-left: auto;
    margin-right: auto;
    justify-content: space-between;
    box-shadow: 0 2px 2px 2px rgb(180, 180, 180);
    border-radius: 10px;
}

.cart-item .product-info {
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin-left: 10px;
    margin-right: auto;
    font-size: 0.8rem;
}

.cart-prod-img {
    border-right: 1px solid rgb(201, 201, 201);
}

.cart-prod-remove-btn {
    cursor: pointer;
    padding: 20px 40px;
    font-size: 1.2rem;
    background-color: transparent;
    border: none;
}

/* 
cart-prod-title
cart-prod-price
 */

.checkout-div {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 10px;
    margin: 10px;
    padding: 10px;
}

#checkout-btn {
    cursor: pointer;
    border: none;
    background-color: transparent;
    font-size: 1.2rem;
    padding: 10px 20px;
    box-shadow: 0px 5px 5px rgb(180, 180, 180);
    transition: all 0.2s ease-in-out;
}

#checkout-btn:hover {
    font-weight: 500;
    transform: scale(1.05);
}

@media (max-width: 768px) {
    .cart-item {
        width: 100%;
    }
}